Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface CounterMonitorMBean

All Known Implementing Classes:
  CounterMonitor

public abstract interface CounterMonitorMBean
extends MonitorMBean

This interface exposes the remote management interface of the CounterMonitor MBean.

Method Summary
`java.lang.Number` | `getDerivedGauge()` Gets the derived gauge.
`java.util.Date` | `getDerivedGaugeTimeStamp()` Gets the derived gauge timestamp.
`boolean` | `getDifferenceMode()` Gets the difference mode flag value.
`java.lang.Number` | `getModulus()` Gets the modulus value.
`boolean` | `getNotify()` Gets the notifications on/off switch value.
`java.lang.Number` | `getOffset()` Gets the offset value.
`java.lang.Number` | `getThreshold()` Gets the threshold value.
`void` | `setDifferenceMode(boolean value)` Sets the difference mode flag value.
`void` | `setModulus(java.lang.Number value)` Sets the modulus value.
`void` | `setNotify(boolean value)` Sets the notifications on/off switch value.
`void` | `setOffset(java.lang.Number value)` Sets the offset value.
`void` | `setThreshold(java.lang.Number value)` Sets the threshold value.

Methods inherited from interface javax.management.monitor.MonitorMBean
`getGranularityPeriod, getObservedAttribute, getObservedObject, isActive, setGranularityPeriod, setObservedAttribute, setObservedObject, start, stop`

Method Detail

### getDerivedGauge

    public java.lang.Number getDerivedGauge()

  Gets the derived gauge.
  Returns:
    The derived gauge.

### getDerivedGaugeTimeStamp

    public java.util.Date getDerivedGaugeTimeStamp()

  Gets the derived gauge timestamp.
  Returns:
    The derived gauge timestamp.

### getThreshold

    public java.lang.Number getThreshold()

  Gets the threshold value.
  Returns:
    The threshold value.

### setThreshold

    public void setThreshold(java.lang.Number value)
                      throws java.lang.IllegalArgumentException

  Sets the threshold value.
  Parameters:
    `value` - The threshold value.
  Throws:
    java.lang.IllegalArgumentException - The specified threshold is null or the threshold value is less than zero.

### getOffset

    public java.lang.Number getOffset()

  Gets the offset value.
  Returns:
    The offset value.

### setOffset

    public void setOffset(java.lang.Number value)
                   throws java.lang.IllegalArgumentException

  Sets the offset value.
  Parameters:
    `value` - The offset value.
  Throws:
    java.lang.IllegalArgumentException - The specified offset is null or the offset value is less than zero.

### getModulus

    public java.lang.Number getModulus()

  Gets the modulus value.
  Returns:
    The modulus value.

### setModulus

    public void setModulus(java.lang.Number value)
                    throws java.lang.IllegalArgumentException

  Sets the modulus value.
  Parameters:
    `value` - The modulus value.
  Throws:
    java.lang.IllegalArgumentException - The specified modulus is null or the modulus value is less than zero.

### getNotify

    public boolean getNotify()

  Gets the notifications on/off switch value.
  Returns:
    True if the CounterMonitor notifies when exceeding the threshold, false otherwise.

### setNotify

    public void setNotify(boolean value)

  Sets the notifications on/off switch value.
  Parameters:
    `value` - The notifications on/off switch value.

### getDifferenceMode

    public boolean getDifferenceMode()

  Gets the difference mode flag value.
  Returns:
    True if the difference mode is used, false otherwise.

### setDifferenceMode

    public void setDifferenceMode(boolean value)

  Sets the difference mode flag value.
  Parameters:
    `value` - The difference mode flag value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD